%global shell_version 3.14.0

Name:           gnome-shell-extension-background-logo
Version:        3.14.0
Release:        2%{?dist}
Summary:        Background logo extension for GNOME Shell

License:        GPLv2+
URL:            https://git.fedorahosted.org/git/background-logo-extension.git
Source0:        https://fedorahosted.org/releases/b/a/background-logo-extension/background-logo-extension-%{version}.tar.xz
Patch0:         0001-Fix-high-CPU-usage-by-avoiding-feedback-loop.patch
BuildArch:      noarch

BuildRequires:  glib2-devel

Requires:       gnome-shell >= %{shell_version}

%description
Overlay a tasteful logo on the background to enhance the user experience.

%prep
%setup -q -n background-logo-extension-%{version}
%patch0 -p1 -b .avoid-feedback-loop

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%license COPYING
%{_datadir}/glib-2.0/schemas/org.fedorahosted.background-logo-extension.gschema.xml
%{_datadir}/gnome-shell/extensions/

%changelog
* Thu Apr 16 2015 Florian Müllner <fmuellner@redhat.com> - 3.14.0-2
- Fix high CPU usage due to feedback loop

* Fri Nov 07 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Initial Fedora packaging
